%define snap    20200117
%define rel     3

%define	major 3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A general purpose sound file conversion tool
Name:		sox
Version:	14.4.3
Release:	%mkrel 0.git%{snap}.%{rel}
License:	LGPLv2+
Group:		Sound/Editors and Converters
URL:		http://sox.sourceforge.net/
#Source0:	http://heanet.dl.sourceforge.net/sourceforge/sox/%{name}-%{version}.tar.bz2
# rm -rf sox-code && git clone https://git.code.sf.net/p/sox/code sox-code && cd sox-code
# git archive --prefix=sox-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../sox-$(date +%Y%m%d).tar.xz
Source0:        %{name}-%{snap}.tar.xz

BuildRequires:	ffmpeg-devel
BuildRequires:	file-devel
BuildRequires:	gsm-devel
BuildRequires:	id3tag-devel
BuildRequires:	ladspa-devel
BuildRequires:	libalsa-devel
BuildRequires:	libflac-devel
BuildRequires:	libltdl-devel
BuildRequires:	libpng-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtheora-devel
BuildRequires:	libtool
BuildRequires:	libwavpack-devel
BuildRequires:	lpc10-devel
BuildRequires:	mad-devel
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	oggvorbis-devel
BuildRequires:	libgomp-devel
BuildRequires:	lame-devel

%description
SoX (Sound eXchange) is a sound file format converter for Linux,
UNIX and DOS PCs. The self-described 'Swiss Army knife of sound
tools,' SoX can convert between many different digitized sound
formats and perform simple sound manipulation functions,
including sound effects.

Install the sox package if you'd like to convert sound file formats
or manipulate some sounds.


%package -n	%{libname}
Summary:	Libraries for SoX
Group:		System/Libraries
Obsoletes:	%mklibname st 0

%description -n	%{libname}
Libraries for SoX.

%package -n	%{develname}
Summary:	Development headers and libraries for libst
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development headers and libraries for SoX.

%prep
%setup -q -n %{name}-%{snap}
%autopatch -p1

%build
autoreconf -fi
export CFLAGS="%{optflags} -DHAVE_SYS_SOUNDCARD_H=1 -D_FILE_OFFSET_BITS=64 -fPIC -DPIC"

%configure --with-distro="%_vendor" \
	--with-ladspa-path=%{_includedir}
%make_build

%install
%make_install

ln -sf play %{buildroot}%{_bindir}/rec

cat << EOF > %{buildroot}%{_bindir}/soxplay
#!/bin/sh

%{_bindir}/sox \$1 -t .au - > /dev/audio

EOF
chmod 755 %{buildroot}%{_bindir}/soxplay

ln -snf play %{buildroot}%{_bindir}/rec
ln -s play.1%{_extension} %{buildroot}%{_mandir}/man1/rec.1%{_extension}

find %{buildroot} -name *.la | xargs rm -f
find %{buildroot} -name *.a | xargs rm -f

%files
%doc ChangeLog NEWS AUTHORS
%{_bindir}/play
%{_bindir}/rec
%{_bindir}/sox*
%{_mandir}/man1/*
%{_mandir}/man7/*

%files -n %{libname}
%{_libdir}/libsox.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/libsox.so
%{_libdir}/pkgconfig/sox.pc
%{_mandir}/man3/*


%changelog
* Sun Aug 02 2020 kekepower <kekepower> 14.4.3-0.git20200117.3.mga8
+ Revision: 1610462
- Rebuild for new sndio

* Wed Feb 19 2020 umeabot <umeabot> 14.4.3-0.git20200117.2.mga8
+ Revision: 1543184
- Mageia 8 Mass Rebuild

* Fri Jan 17 2020 zezinho <zezinho> 14.4.3-0.git20200117.1.mga8
+ Revision: 1481372
- switch to git as upstream does not releases for years
- remove all upstreamed patches
- remove useless obsoletes
- enable opus file format
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 15 2020 zezinho <zezinho> 14.4.2-12.mga8
+ Revision: 1478066
- security fixes mga#25289
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 14.4.2-11.mga7
+ Revision: 1301117
- Mageia 7 Mass Rebuild

* Tue Apr 24 2018 zezinho <zezinho> 14.4.2-10.mga7
+ Revision: 1222166
- add CVE-2017-18189 patch

* Wed Apr 11 2018 zezinho <zezinho> 14.4.2-9.mga7
+ Revision: 1217608
- security patches from debian mga#22615

* Sun Jan 28 2018 luigiwalser <luigiwalser> 14.4.2-8.mga7
+ Revision: 1197867
- add patches from fedora to fix CVE-2017-15370 and CVE-2017-15371

* Sat May 06 2017 zezinho <zezinho> 14.4.2-7.mga6.tainted
+ Revision: 1099255
+ rebuild (emptylog)

* Sat May 06 2017 zezinho <zezinho> 14.4.2-6.mga6.tainted
+ Revision: 1099251
- mp3 patents gone

* Tue May 02 2017 akien <akien> 14.4.2-5.mga6.tainted
+ Revision: 1098320
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 14.4.2-4.mga6
+ Revision: 1090278
- Rebuild for ffmpeg 3.2.4

* Wed Feb 17 2016 umeabot <umeabot> 14.4.2-3.mga6.tainted
+ Revision: 962883
- Mageia 6 Mass Rebuild

* Mon Sep 14 2015 zezinho <zezinho> 14.4.2-2.mga6.tainted
+ Revision: 879267
+ rebuild (emptylog)

* Mon Sep 14 2015 zezinho <zezinho> 14.4.2-2.mga6
+ Revision: 879258
- make plf build for tainted
- patch to export new private symbols #16743

* Mon Sep 07 2015 zezinho <zezinho> 14.4.2-1.mga6
+ Revision: 873978
- new version 14.4.2

* Mon Dec 22 2014 luigiwalser <luigiwalser> 14.4.1-6.mga5
+ Revision: 804921
- add upstream changes to fix CVE-2014-8145

* Wed Oct 15 2014 umeabot <umeabot> 14.4.1-5.mga5
+ Revision: 744632
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 14.4.1-4.mga5
+ Revision: 689259
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 14.4.1-3.mga4
+ Revision: 525846
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 14.4.1-2.mga4
+ Revision: 434678
- rebuild for new libpng

* Tue Feb 12 2013 luigiwalser <luigiwalser> 14.4.1-1.mga3
+ Revision: 398166
- 14.4.1
- remove upstreamed automake 1.13 patch

* Mon Jan 14 2013 umeabot <umeabot> 14.4.0-4.mga3
+ Revision: 382398
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 14.4.0-3.mga3
+ Revision: 339774
- patch1: fix build with automake 1.13

* Tue Nov 27 2012 zezinho <zezinho> 14.4.0-2.mga3
+ Revision: 322460
- fix rpm group

* Sun Jul 29 2012 luigiwalser <luigiwalser> 14.4.0-1.mga3
+ Revision: 275815
- fix library major
- remove no longer needed patch
+ fwang <fwang>
- new version 14.4.0
- fix build with latest ffmpeg

* Tue May 29 2012 fwang <fwang> 14.3.2-4.mga3
+ Revision: 248998
- rebuild for new ffmpeg

* Sat Sep 10 2011 fwang <fwang> 14.3.2-3.mga2
+ Revision: 142126
- rebuild for new libpng

* Fri Jun 24 2011 fwang <fwang> 14.3.2-2.mga2
+ Revision: 113136
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Thu Apr 14 2011 tv <tv> 14.3.2-1.mga1
+ Revision: 85171
- new release

* Thu Jan 20 2011 ahmad <ahmad> 14.3.0-3.mga1
+ Revision: 26033
- drop old/unneeded scriptlets
- don't ship .la or .a
- imported package sox

